---

- name: Gestion base oracle avec ansible
  hosts: oracle
  become: true


  vars_files:
    - vars.yaml


  tasks:

    - name: Creation shcema oracle
      community.general.oracle_user:
        name: "{{schema_name}}"
        password: "{{schema_password}}"
        state: present
        login_user: "{{oracle_user}}"
        login_password: "{{oracle_password}}"
        sid: "{{oracle_sid}}"
      tags: create_schema
      

    - name: Création de la table client
      community.general.oracle_table:
        name: client
        columns:
          - name: id_cl
            datatype: NUMBER
          - name: nom_cl
            datatype: VARCHAR2(50)
        schema: "{{schema_name}}"
        state: present
        login_user: "{{oracle_user}}"
        login_password: "{{oracle_password}}"
        sid: "{{oracle_sid}}"
      tags: create_table


    - name: Insertion d'enregistrements dans la table client
      community.general.oracle_query:
        login_user: "{{oracle_user}}"
        login_password: "{{oracle_password}}"
        sid: "{{oracle_sid}}"
        query: |
          INSERT INTO {{schema_name}}.client (id_cl, nom_cl)
          VALUES (1, 'AAS');

          INSERT INTO {{schema_name}}.client (id_cl, nom_cl)
          VALUES (2, 'AAS_2');
      tags: insert_data


    - name: Création du tablespace
      community.general.oracle_tablespace:
        tablespace_name: "{{ts_name}}"
        state: present
        datafile:
          - file_name: "/groupe6/tp_oracle/{{ts_name}}.dbf"
          - size: 50M
        login_user: "{{oracle_user}}"
        login_password: "{{oracle_password}}"
      tags: create_ts

    
    - name: Augmentation de la taille du tablespace sans ajout de fichier 
      community.general.oracle_tablespace:
        tablespace_name: "{{ts_name}}"
        state: present
        datafile:
          - file_name: "/groupe6/tp_oracle/{{ts_name}}.dbf"
          - resize: 100M
        login_user: "{{oracle_user}}"
        login_password: "{{oracle_password}}"
      tags: resize_ts_without_adding_file


    - name: Augmentation de la taille du tablespace avec ajout de fichier
      community.general.oracle_tablespace:
        tablespace_name: "{{ts_name}}"
        state: present
        datafile:
          - file_name: "/groupe6/tp_oracle/{{ts_name}}_2.dbf"
          - resize: 150M
        login_user: "{{oracle_user}}"
        login_password: "{{oracle_password}}"
      tags: resize_ts_by_adding_file

 


